#!/bin/bash

if [ "x$1" = "x" ] || [ "x$2" = "x" ]
then
	echo "USAGE: $0 <license.txt> <pub-key>"
	exit 1
fi

tmpfile=$1.tmp
openssl rsautl -verify -inkey $2 -pubin < $1.sig > $tmpfile

if [ $? != 0 ]
then
	rm $tmpfile
	echo "Failed decrypting signature - License is not valid for the provided public key"
	exit 1
fi

cmp -s $1 $tmpfile

if [ $? != 0 ]
then
	rm $tmpfile
	echo "License and signature do not match - License is not valid for the provided public key"
	exit 1
fi

echo "License is valid!"

exit 0

